<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Refresh Method
Cursor Class See Also

Store the key/data pair to which the cursor refers in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool Refresh()

Visual Basic (Declaration)

    Public Function Refresh As Boolean

Visual C++

    public:
    bool Refresh()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
Refresh Overload
BerkeleyDB Namespace